# Namespace: events

## events

Namespace for viewer events.

Source:
  - dicom-microscopy-viewer.js, line 159

### Members

#### (static, constant) EVENTS :string

Enumerates custom events for dicom-microscopy-viewer. Events are captured, normalized, and re-triggered with a `dicommicroscopyviewer` prefix. This allows handling of events consistently across different browsers.

##### Type:

- string

##### Properties:

Name | Type | Description
--- | --- | ---
`ROI_ADDED` | string | Triggered when a ROI was added.
`ROI_REMOVED` | string | Triggered when a ROI was removed.
`ROI_DRAWN` | string | Triggered when a ROI was drawn.
`ROI_SELECTED` | string | Triggered when a ROI was selected.
`ROI_MODIFIED` | string | Triggered when a ROI was modified.
`MOVE_STARTED` | string | Triggered when a viewport move has started.
`MOVE_ENDED` | string | Triggered when a viewport move has ended.
`LOADING_STARTED` | string | Triggered when a loading of data has started.
`LOADING_ENDED` | string | Triggered when a loading of data has ended.
`FRAME_LOADING_STARTED` | string |
`FRAME_LOADING_ENDED` | string |

Source:
  - events.js, line 12